<?php
/***********************************************************************************/
/* MassCRM客户关系管理系统							   */
/* ========================      						   */
/* 欢迎使用 MassCRM ,在您开始使用之前,请务必完整阅读本软件附带的全部说明档	   */
/***********************************************************************************/
/* Welcome to http://www.massboxes.com & http://masscrm.massboxes.com		   */
/***********************************************************************************/
	//检查是否合法登陆系统
	require_once "../includes/check_login.inc.php";	
	//网页显示的TITLE
	require_once "../includes/config.inc.php";
	//连接数据库
	require_once "../includes/common.inc.php";	
	//公共类
	require_once "../includes/tree.inc.php";
	require_once "../includes/BiaoCommon.class.php";
	
	//数据表名
	global $table_name;
	global $module_name;
	$table_name		=	$_REQUEST[table_name];
	$module_name	=	$_REQUEST[module_name];
	$module_num		=	$_REQUEST[module_num];

	global $treeMenu;
	
	$boxesDB=new BiaoCommon($conn); 
	
	$boxesDB->setTableName("field_display_table");
	$sql="where table_name='".$table_name."'";
	$boxesDB->setCondition($sql);
	$boxes_check=$boxesDB->selectResult();
	if(!count($boxes_check)){
		echo"<script>alert(\"表field_display_table设置出问题啦！\");</script>";
		exit;
	}
	$prefix=$boxes_check[0][prefix];
	$id=$prefix."id";

	$boxesDB->setTableName($table_name);
	
	//提取一级菜单 
	$sql="where parent_id=0 order by $id asc";
	$boxesDB->setCondition($sql);

	$result=$boxesDB->selectResult(); 
	
	
	//如果一级菜单存在则开始菜单的显示 
	if(count($result)>0) ShowTreeMenu($boxesDB,$result,$layer,$prefix); 
	
//	echo $treeMenu;
	
	$smart->assign(array("module_name"	=>	$module_name,
						 "treeMenu"		=>	$treeMenu));
	
	//功能按钮
	$ADD_BUTTON		=	"<input class='INPUT_BUTTON' type='submit' name='add_button' value=' 增加 ' onClick=\"showAddWindow('basic_common','".$table_name."','".$module_name."','".$module_num."')\">";
	$SET_BUTTON		=	"<input class='INPUT_BUTTON' type='submit' name='set_button' value=' 设置 ' onClick=\"showSetWindow('basic_common','".$table_name."','".$module_name."','".$module_num."')\">";
	$REFLASH_BUTTON	=	"<input class='INPUT_BUTTON' type='button' name='reflash_button' value=' 刷新 ' onClick=\"javascript:location.reload();\">";
	$SEARCH_BUTTON	=	"<input class='INPUT_BUTTON' type='submit' name='search_button' value=' 查找 ' onClick=\"showSearchWindow('basic_common','".$table_name."','".$module_name."','".$module_num."')\">";
//	$PRINT_BUTTON	=	"<input class='INPUT_BUTTON' type='button' name='print_button' value=' 打印 ' onClick=\"showPrintListWindow('".$table_name."','".$strQuery."','".$account."')\">";
//	$EXPORT_BUTTON	=	"<input class='INPUT_BUTTON' type='button' name='export_button' value=' 导出 ' onClick=\"showExportWindow('".$table_name."','".$strQuery."','".$account."')\">";

	$smart->assign(array("ADD_BUTTON" 		=> $ADD_BUTTON,
						 "SET_BUTTON" 		=> $SET_BUTTON,
						 "REFLASH_BUTTON" 	=> $REFLASH_BUTTON,
						 "SEARCH_BUTTON" 	=> $SEARCH_BUTTON,
						 "PRINT_BUTTON" 	=> $PRINT_BUTTON,
						 "EXPORT_BUTTON" 	=> $EXPORT_BUTTON));

	
	$smart->display('basic/list_basic_common.tpl.htm');
?>